DtEditorSelectAll(library call)

NAME
DtEditorSelectAll — select all text in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorSelectAll(
Widget widget);

DESCRIPTION

The DtEditorSelectAll function selects all text in a DtEditor widget. Any current selection can be programmatically deselected with DtEditorDeselect(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorSelectAll function returns True; otherwise, if it is unable to gain ownership of the clipboard selection it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorClearSelection(3), DtEditorCopyToClipboard(3), DtEditorCutToClipboard(3), DtEditorDeleteSelection(3), DtEditorDeselect(3).